com.google.gwt.animation.client

## Class AnimationScheduler.AnimationHandle

- java.lang.Object
- - com.google.gwt.animation.client.AnimationScheduler.AnimationHandle

Direct Known Subclasses:
  StubAnimationScheduler.StubAnimationHandle

Enclosing class:
  AnimationScheduler

    public abstract static class AnimationScheduler.AnimationHandle
    extends java.lang.Object

A handle to the requested animation frame created by `AnimationScheduler.requestAnimationFrame(AnimationCallback, Element)`.

### Constructor Summary

Constructors
Constructor and Description
`AnimationHandle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `cancel()` Cancel the requested animation frame.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnimationHandle

    public AnimationHandle()

### Method Detail

#### cancel

    public abstract void cancel()

Cancel the requested animation frame. If the animation frame is already canceled, do nothing.